import { AgcCore, GridPro } from '@genesislcap/grid-pro';
export declare class ZeroGridPro extends GridPro {
    /**
     * Sets default theme to Rapid
     * @override
     */
    theme: string;
    themeChanged(oldValue: string, newValue: string): void;
    /**
     * Handles extra ZERO configs
     * @override
     */
    set gridOptions(options: AgcCore.GridOptions);
}
export declare const zeroGridProShadowOptions: ShadowRootInit;
export declare const zeroDefaultGridProConfig: {
    shadowOptions: any;
};
export declare const zeroGridPro: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    shadowOptions: any;
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    shadowOptions: any;
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}, typeof ZeroGridPro>;
//# sourceMappingURL=grid-pro.d.ts.map