import { BooleanRenderer, agBooleanRendererStyles, getAgBooleanRendererTemplate, } from '@genesislcap/grid-pro';
export class ZeroBooleanRenderer extends BooleanRenderer {
}
/**
 * The Zero Ag Boolean Renderer
 *
 * @public
 * @remarks
 * HTML Element: \<zero-boolean-renderer\>
 */
export const zeroAgBooleanRenderer = ZeroBooleanRenderer.compose({
    baseName: 'boolean-renderer',
    styles: agBooleanRendererStyles,
    template: getAgBooleanRendererTemplate('zero'),
});
